Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 922257 (ARM64, F-ExcludeArch-aarch64)

Summary: Tracker for ARM64 support
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: distributionAssignee: Peter Robinson <pbrobinson>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ahs3+donotuse, dominik, jcm, jeremy.linton, jreznik, pbrobinson, pwhalen, richard.henwood, rrichter
Target Milestone: ---Keywords: FutureFeature, Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-06 17:53:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1883094, 1909065, 719874, 924957, 924958, 924959, 924960, 924961, 924962, 924963, 924964, 924965, 924966, 924967, 924968, 924969, 924970, 924971, 924972, 924973, 924974, 924975, 924976, 924977, 924978, 924979, 924980, 924981, 924982, 924983, 924984, 924985, 924986, 924987, 924988, 924989, 924990, 924991, 924992, 924993, 924994, 924995, 924996, 924997, 924998, 924999, 925000, 925001, 925002, 925003, 925004, 925005, 925006, 925007, 925008, 925009, 925010, 925011, 925012, 925013, 925014, 925015, 925016, 925017, 925018, 925019, 925020, 925021, 925022, 925023, 925024, 925025, 925026, 925027, 925028, 925029, 925030, 925031, 925033, 925034, 925035, 925036, 925037, 925038, 925039, 925040, 925041, 925042, 925043, 925044, 925045, 925046, 925047, 925048, 925049, 925050, 925051, 925052, 925053, 925054, 925055, 925056, 925057, 925058, 925059, 925060, 925061, 925062, 925063, 925064, 925065, 925066, 925067, 925068, 925069, 925070, 925071, 925072, 925073, 925074, 925075, 925076, 925077, 925078, 925079, 925080, 925083, 925084, 925085, 925086, 925087, 925088, 925089, 925090, 925091, 925092, 925093, 925094, 925095, 925096, 925097, 925098, 925099, 925100, 925101, 925103, 925104, 925105, 925106, 925107, 925108, 925109, 925110, 925111, 925112, 925113, 925114, 925115, 925116, 925117, 925118, 925119, 925120, 925121, 925122, 925123, 925124, 925125, 925126, 925127, 925128, 925129, 925130, 925131, 925132, 925133, 925134, 925135, 925136, 925137, 925138, 925139, 925140, 925141, 925142, 925143, 925144, 925145, 925146, 925147, 925148, 925149, 925150, 925151, 925152, 925153, 925154, 925155, 925156, 925157, 925158, 925159, 925160, 925161, 925162, 925163, 925164, 925165, 925166, 925167, 925168, 925169, 925171, 925172, 925173, 925174, 925175, 925176, 925177, 925178, 925179, 925180, 925181, 925182, 925183, 925184, 925185, 925186, 925187, 925188, 925189, 925190, 925191, 925192, 925193, 925194, 925195, 925196, 925197, 925198, 925199, 925200, 925201, 925202, 925203, 925204, 925205, 925206, 925207, 925208, 925209, 925210, 925212, 925213, 925214, 925215, 925216, 925217, 925218, 925219, 925220, 925221, 925222, 925223, 925224, 925225, 925226, 925227, 925228, 925229, 925230, 925231, 925232, 925233, 925234, 925235, 925236, 925238, 925239, 925240, 925241, 925242, 925243, 925244, 925245, 925246, 925247, 925248, 925249, 925250, 925251, 925252, 925253, 925254, 925255, 925256, 925257, 925258, 925259, 925260, 925261, 925262, 925263, 925264, 925265, 925266, 925267, 925268, 925269, 925270, 925271, 925272, 925273, 925274, 925275, 925276, 925277, 925278, 925279, 925280, 925281, 925282, 925283, 925284, 925285, 925286, 925287, 925288, 925289, 925290, 925291, 925292, 925293, 925294, 925295, 925296, 925297, 925298, 925299, 925300, 925301, 925302, 925303, 925304, 925305, 925306, 925307, 925308, 925309, 925310, 925311, 925312, 925313, 925314, 925315, 925316, 925317, 925318, 925319, 925320, 925321, 925322, 925323, 925324, 925325, 925326, 925327, 925328, 925329, 925330, 925331, 925332, 925333, 925334, 925335, 925336, 925337, 925338, 925339, 925340, 925341, 925342, 925343, 925344, 925345, 925346, 925347, 925348, 925349, 925350, 925351, 925352, 925353, 925354, 925355, 925356, 925357, 925358, 925359, 925360, 925361, 925362, 925363, 925364, 925365, 925366, 925367, 925368, 925369, 925370, 925372, 925373, 925374, 925375, 925376, 925377, 925378, 925379, 925380, 925381, 925382, 925383, 925384, 925385, 925386, 925387, 925388, 925389, 925390, 925391, 925392, 925393, 925394, 925395, 925396, 925397, 925398, 925399, 925400, 925401, 925402, 925403, 925404, 925406, 925407, 925408, 925409, 925410, 925411, 925412, 925413, 925414, 925415, 925416, 925417, 925418, 925419, 925420, 925422, 925423, 925424, 925425, 925426, 925427, 925428, 925429, 925430, 925431, 925432, 925433, 925434, 925435, 925436, 925437, 925438, 925440, 925441, 925442, 925443, 925444, 925445, 925446, 925447, 925448, 925449, 925450, 925451, 925452, 925453, 925455, 925456, 925457, 925458, 925459, 925460, 925461, 925462, 925463, 925464, 925465, 925466, 925467, 925468, 925469, 925470, 925471, 925472, 925473, 925474, 925475, 925476, 925477, 925478, 925479, 925480, 925481, 925482, 925483, 925484, 925485, 925486, 925487, 925488, 925489, 925490, 925491, 925492, 925493, 925494, 925495, 925497, 925498, 925499, 925500, 925501, 925502, 925503, 925504, 925506, 925507, 925508, 925509, 925510, 925511, 925512, 925513, 925514, 925515, 925516, 925517, 925518, 925519, 925520, 925521, 925522, 925523, 925524, 925525, 925526, 925527, 925528, 925529, 925530, 925531, 925532, 925533, 925534, 925535, 925536, 925537, 925538, 925539, 925540, 925541, 925542, 925543, 925544, 925545, 925546, 925547, 925548, 925549, 925550, 925551, 925552, 925553, 925554, 925555, 925556, 925557, 925558, 925559, 925560, 925561, 925562, 925563, 925564, 925565, 925566, 925567, 925568, 925569, 925570, 925571, 925572, 925573, 925574, 925575, 925576, 925577, 925578, 925579, 925580, 925581, 925582, 925583, 925584, 925585, 925586, 925587, 925588, 925589, 925590, 925591, 925592, 925593, 925594, 925595, 925596, 925597, 925598, 925599, 925600, 925601, 925602, 925603, 925604, 925605, 925606, 925607, 925608, 925609, 925610, 925611, 925612, 925613, 925614, 925615, 925616, 925617, 925618, 925619, 925620, 925621, 925622, 925623, 925624, 925625, 925626, 925627, 925628, 925629, 925630, 925631, 925632, 925633, 925634, 925635, 925636, 925637, 925638, 925639, 925640, 925641, 925642, 925643, 925644, 925645, 925646, 925647, 925648, 925649, 925650, 925651, 925652, 925653, 925654, 925655, 925656, 925657, 925658, 925659, 925660, 925661, 925662, 925663, 925664, 925665, 925666, 925667, 925668, 925669, 925670, 925671, 925672, 925674, 925675, 925676, 925677, 925678, 925679, 925680, 925681, 925682, 925683, 925684, 925685, 925686, 925687, 925688, 925689, 925690, 925691, 925692, 925693, 925694, 925695, 925696, 925697, 925698, 925699, 925700, 925701, 925702, 925703, 925704, 925705, 925706, 925707, 925708, 925709, 925710, 925711, 925712, 925713, 925714, 925715, 925716, 925717, 925718, 925719, 925720, 925721, 925722, 925723, 925724, 925725, 925726, 925727, 925728, 925729, 925730, 925731, 925732, 925733, 925734, 925735, 925736, 925737, 925738, 925739, 925740, 925741, 925742, 925743, 925744, 925745, 925746, 925748, 925749, 925750, 925751, 925752, 925753, 925754, 925755, 925756, 925757, 925758, 925759, 925760, 925761, 925762, 925763, 925764, 925765, 925766, 925767, 925768, 925769, 925770, 925771, 925772, 925774, 925775, 925776, 925777, 925778, 925779, 925780, 925781, 925782, 925783, 925784, 925785, 925786, 925787, 925788, 925789, 925791, 925792, 925793, 925794, 925795, 925796, 925797, 925798, 925800, 925801, 925802, 925803, 925804, 925805, 925807, 925808, 925809, 925810, 925811, 925812, 925813, 925814, 925815, 925816, 925817, 925818, 925819, 925820, 925821, 925822, 925823, 925824, 925825, 925826, 925827, 925828, 925829, 925831, 925832, 925833, 925834, 925835, 925836, 925837, 925838, 925839, 925840, 925841, 925842, 925843, 925844, 925845, 925846, 925847, 925848, 925849, 925850, 925851, 925852, 925853, 925854, 925855, 925856, 925857, 925858, 925859, 925860, 925861, 925862, 925863, 925864, 925865, 925866, 925867, 925868, 925869, 925870, 925871, 925872, 925873, 925874, 925875, 925876, 925877, 925878, 925879, 925880, 925881, 925882, 925883, 925884, 925885, 925886, 925887, 925888, 925889, 925890, 925891, 925892, 925893, 925894, 925895, 925896, 925897, 925898, 925899, 925900, 925901, 925902, 925903, 925904, 925905, 925906, 925907, 925908, 925909, 925910, 925911, 925912, 925913, 925920, 925921, 925922, 925923, 925924, 925925, 925926, 925927, 925928, 925929, 925930, 925931, 925932, 925933, 925934, 925935, 925936, 925937, 925938, 925939, 925940, 925941, 925942, 925943, 925944, 925945, 925946, 925947, 925948, 925949, 925950, 925951, 925952, 925953, 925954, 925955, 925956, 925957, 925958, 925960, 925961, 925962, 925963, 925964, 926066, 926067, 926068, 926069, 926070, 926071, 926072, 926073, 926074, 926075, 926076, 926077, 926078, 926079, 926080, 926081, 926082, 926083, 926084, 926085, 926086, 926087, 926088, 926089, 926090, 926091, 926092, 926093, 926094, 926095, 926096, 926097, 926100, 926101, 926102, 926103, 926104, 926105, 926106, 926107, 926108, 926109, 926110, 926111, 926112, 926113, 926114, 926115, 926116, 926117, 926118, 926119, 926120, 926121, 926122, 926123, 926124, 926125, 926126, 926127, 926128, 926129, 926130, 926131, 926132, 926133, 926136, 926137, 926138, 926139, 926140, 926141, 926142, 926143, 926144, 926145, 926146, 926147, 926148, 926149, 926150, 926151, 926152, 926153, 926154, 926155, 926156, 926157, 926158, 926159, 926160, 926161, 926164, 926165, 926166, 926167, 926168, 926169, 926170, 926171, 926172, 926173, 926174, 926175, 926176, 926177, 926178, 926179, 926180, 926181, 926182, 926183, 926184, 926185, 926186, 926187, 926188, 926189, 926190, 926191, 926192, 926193, 926194, 926195, 926196, 926197, 926198, 926199, 926200, 926201, 926202, 926203, 926204, 926205, 926206, 926207, 926210, 926211, 926212, 926213, 926214, 926215, 926216, 926217, 926218, 926219, 926220, 926221, 926222, 926223, 926224, 926225, 926226, 926227, 926228, 926229, 926230, 926231, 926232, 926233, 926234, 926235, 926236, 926237, 926238, 926239, 926240, 926241, 926242, 926243, 926244, 926245, 926246, 926247, 926248, 926249, 926250, 926251, 926252, 926253, 926254, 926255, 926256, 926257, 926258, 926259, 926260, 926261, 926262, 926263, 926264, 926265, 926266, 926267, 926268, 926269, 926270, 926271, 926272, 926274, 926275, 926276, 926277, 926278, 926279, 926280, 926281, 926282, 926283, 926284, 926285, 926286, 926287, 926288, 926289, 926290, 926291, 926292, 926293, 926294, 926295, 926296, 926297, 926298, 926299, 926300, 926301, 926302, 926303, 926304, 926305, 926306, 926307, 926308, 926309, 926310, 926311, 926312, 926313, 926314, 926315, 926316, 926317, 926318, 926319, 926320, 926321, 926322, 926323, 926324, 926325, 926326, 926327, 926328, 926329, 926330, 926331, 926332, 926333, 926334, 926335, 926336, 926337, 926338, 926339, 926340, 926341, 926342, 926343, 926344, 926345, 926346, 926347, 926353, 926354, 926355, 926356, 926357, 926358, 926359, 926360, 926361, 926362, 926363, 926364, 926365, 926366, 926367, 926368, 926369, 926370, 926371, 926372, 926373, 926374, 926375, 926376, 926377, 926378, 926379, 926380, 926381, 926382, 926383, 926384, 926385, 926386, 926387, 926388, 926389, 926390, 926391, 926392, 926393, 926394, 926395, 926396, 926397, 926398, 926399, 926400, 926401, 926402, 926403, 926404, 926405, 926406, 926407, 926408, 926409, 926410, 926411, 926412, 926413, 926414, 926415, 926416, 926417, 926418, 926419, 926420, 926421, 926422, 926423, 926424, 926425, 926426, 926427, 926428, 926429, 926430, 926431, 926432, 926433, 926434, 926435, 926436, 926437, 926438, 926439, 926440, 926441, 926442, 926443, 926444, 926445, 926446, 926447, 926448, 926449, 926450, 926451, 926452, 926453, 926454, 926455, 926456, 926457, 926458, 926459, 926460, 926461, 926462, 926463, 926464, 926465, 926466, 926467, 926468, 926469, 926470, 926471, 926472, 926473, 926474, 926475, 926476, 926477, 926478, 926479, 926480, 926481, 926482, 926483, 926484, 926485, 926486, 926487, 926488, 926489, 926490, 926491, 926492, 926493, 926494, 926495, 926496, 926497, 926498, 926499, 926500, 926501, 926502, 926503, 926504, 926505, 926506, 926507, 926508, 926509, 926510, 926511, 926512, 926513, 926514, 926515, 926516, 926517, 926518, 926519, 926520, 926521, 926522, 926523, 926524, 926525, 926526, 926527, 926528, 926529, 926530, 926531, 926532, 926533, 926534, 926535, 926536, 926537, 926538, 926539, 926540, 926541, 926542, 926543, 926544, 926545, 926546, 926547, 926548, 926550, 926551, 926552, 926553, 926554, 926555, 926556, 926557, 926558, 926559, 926560, 926561, 926562, 926563, 926564, 926565, 926566, 926567, 926568, 926569, 926570, 926571, 926572, 926573, 926574, 926575, 926576, 926577, 926578, 926579, 926580, 926581, 926582, 926583, 926584, 926585, 926586, 926587, 926588, 926589, 926590, 926591, 926592, 926593, 926594, 926595, 926596, 926597, 926598, 926599, 926600, 926601, 926602, 926603, 926604, 926605, 926606, 926608, 926609, 926610, 926611, 926612, 926613, 926614, 926615, 926616, 926617, 926618, 926619, 926620, 926621, 926622, 926623, 926624, 926625, 926626, 926627, 926628, 926629, 926630, 926631, 926632, 926633, 926634, 926635, 926636, 926637, 926638, 926639, 926640, 926641, 926642, 926643, 926645, 926646, 926647, 926648, 926649, 926650, 926651, 926652, 926653, 926654, 926655, 926656, 926657, 926658, 926659, 926660, 926661, 926662, 926663, 926664, 926665, 926666, 926667, 926668, 926669, 926670, 926671, 926672, 926673, 926674, 926675, 926676, 926677, 926678, 926679, 926680, 926681, 926682, 926683, 926684, 926685, 926686, 926687, 926688, 926689, 926690, 926691, 926692, 926693, 926694, 926695, 926696, 926697, 926698, 926699, 926700, 926701, 926702, 926703, 926704, 926705, 926706, 926707, 926708, 926709, 926710, 926711, 926712, 926713, 926714, 926715, 926716, 926717, 926718, 926719, 926720, 926721, 926722, 926723, 926724, 926725, 926726, 926727, 926728, 926729, 926730, 926731, 926732, 926733, 926734, 926735, 926736, 926737, 926738, 926739, 926740, 926741, 926742, 926743, 926744, 926745, 926746, 926747, 926748, 926749, 926750, 926751, 926752, 926753, 926754, 926755, 926756, 926757, 926758, 926759, 926760, 926761, 926762, 926764, 926765, 926766, 926767, 926768, 926769, 926770, 926771, 926772, 926773, 926774, 926775, 926776, 926777, 926778, 926779, 926780, 926781, 926782, 926783, 926784, 926785, 926786, 926787, 926788, 926789, 926790, 926791, 926792, 926793, 926794, 926795, 926796, 926797, 926798, 926799, 926800, 926801, 926802, 926803, 926804, 926805, 926806, 926807, 926808, 926809, 926810, 926811, 926812, 926813, 926814, 926815, 926816, 926817, 926818, 926819, 926820, 926821, 926822, 926823, 926825, 926826, 926827, 926828, 926829, 926830, 926831, 926832, 926833, 926834, 926835, 926836, 926837, 926838, 926839, 926840, 926841, 926842, 926843, 926844, 926845, 926846, 926847, 926848, 926849, 926850, 926851, 926852, 926853, 926854, 926855, 926856, 926857, 926858, 926859, 926860, 926861, 926862, 926863, 926864, 926865, 926866, 926867, 951442, 953158, 974860, 978477, 1009741, 1022628, 1032854, 1037190, 1044051, 1045187, 1045193, 1046360, 1055969, 1058991, 1068895, 1070446, 1076070, 1091500, 1091538, 1098327, 1098693, 1099153, 1099534, 1102559, 1102624, 1106091, 1107034, 1107042, 1108219, 1108925, 1110892, 1111453, 1111745, 1112012, 1113337, 1113345, 1114389, 1114588, 1115559, 1115905, 1116162, 1116239, 1116747, 1117117, 1118232, 1120432, 1120575, 1123948, 1124342, 1124952, 1124955, 1126199, 1128341, 1129292, 1129295, 1130179, 1136481, 1138627, 1138662, 1138980, 1140104, 1140146, 1141225, 1143862, 1143934, 1143936, 1149077, 1150985, 1151571, 1155082, 1155291, 1159904, 1161585, 1163481, 1165290, 1166474, 1166489, 1167501, 1170289, 1170412, 1172740, 1174037, 1174607, 1177985, 1177986, 1182677, 1185626, 1186358, 1195065, 1196222, 1197007, 1197715, 1197772, 1201777, 1201778, 1201877, 1203057, 1210036, 1211356, 1211616, 1212826, 1213420, 1213478, 1213484, 1213890, 1215546, 1217096, 1217098, 1217478, 1220294, 1221689, 1223548, 1224815, 1225156, 1226459, 1226641, 1227460, 1230233, 1236003, 1239234, 1242326, 1242873, 1242960, 1243104, 1244855, 1245595, 1249037, 1249149, 1249522, 1249969, 1250197, 1250268, 1251165, 1251422, 1251600, 1255682, 1255701, 1255737, 1255746, 1255751, 1256287, 1256305, 1257186, 1257510, 1257526, 1258412, 1258414, 1258499, 1259666, 1259702, 1261196, 1262091, 1262388, 1262788, 1263206, 1263806, 1264671, 1271387, 1271762, 1273830, 1278902, 1282392, 1285641, 1287833, 1288335, 1290136, 1290958, 1291001, 1291383, 1291565, 1291868, 1296842, 1300669, 1305179, 1306151, 1306169, 1306921, 1307224, 1309147, 1309346, 1310617, 1310753, 1310800, 1311125, 1315225, 1319083, 1320953, 1325858, 1328076, 1330466, 1334124, 1334125, 1335395, 1340655, 1340736, 1340829, 1344141, 1351698, 1352164, 1359561, 1359680, 1361039, 1365814, 1366328, 1367571, 1368569, 1370916, 1373722, 1375305, 1375547, 1377395, 1380101, 1380102, 1392851, 1395350, 1400045, 1403600, 1409636, 1409639, 1423680, 1471785    
Bug Blocks: 1112976    

Description Peter Robinson 2013-03-15 21:11:35 UTC
This bug is used as a tracker for arm64/aarch64 specific issues. If you add a bug for ARM support for a package, mark that bug as blocking this bug.

Comment 1 Panu Matilainen 2013-04-24 14:02:38 UTC
FWIW the mass-filed "foo: Does not support aarch64" bugs to update config.{guess.sub} in individual packages could/should be closed now, as this is done automatically from %configure macro now (see bug 951442)

Comment 2 Pavel Raiskup 2013-05-03 07:25:19 UTC
(In reply to comment #1)
> FWIW the mass-filed "foo: Does not support aarch64" bugs to update
> config.{guess.sub} in individual packages could/should be closed now, as
> this is done automatically from %configure macro now (see bug 951442)

Seconded.  But, Jon Masters [1] correctly pointed out that the %configure is not
present in all packages relevant to this tracker - there is also needed to
update status for bugs which do not use %configure somehow.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=951442#c14

Comment 3 Sergio Basto 2013-06-29 03:29:29 UTC
as pointed out in this thread : 
https://lists.fedoraproject.org/pipermail/devel/2013-June/184098.html 

The better solution is:   
  * Added: BuildRequires: autoconf, automake, libtool, pkgconfig
  * In "%prep" added: autoreconf --install --force 
( from 
https://lists.fedoraproject.org/pipermail/devel/2013-June/184111.html )

Comment 4 Till Maas 2013-07-07 17:04:40 UTC
(In reply to Pavel Raiskup from comment #2)
> (In reply to comment #1)
> > FWIW the mass-filed "foo: Does not support aarch64" bugs to update
> > config.{guess.sub} in individual packages could/should be closed now, as
> > this is done automatically from %configure macro now (see bug 951442)
> 
> Seconded.  But, Jon Masters [1] correctly pointed out that the %configure is
> not
> present in all packages relevant to this tracker - there is also needed to
> update status for bugs which do not use %configure somehow.
> 
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=951442#c14

So when will the wrongly opened bugs be closed?

Comment 5 Jaroslav Reznik 2013-09-16 08:42:34 UTC
Adding Tracking, FutureFeature keywords to avoid rawhide rebase.

Comment 6 Brendan Conoboy 2013-11-04 17:30:37 UTC
*** Bug 978473 has been marked as a duplicate of this bug. ***

Comment 7 Peter Robinson 2017-08-06 17:53:14 UTC
Should be linked against ARMTracker https://bugzilla.redhat.com/show_bug.cgi?id=245418 or F-ExcludeArch-ARM https://bugzilla.redhat.com/show_bug.cgi?id=485251